#if !defined(AFX_EFFECTSETDETAILDLG_H__A976A8E2_578B_4AA4_8EB4_16E1B821A487__INCLUDED_)
#define AFX_EFFECTSETDETAILDLG_H__A976A8E2_578B_4AA4_8EB4_16E1B821A487__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// EffectSetDetailDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CEffectSetDetailDlg dialog

class CEffectSetDetailDlg : public CDialog
{
// Construction
public:
	CEffectSetDetailDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CEffectSetDetailDlg)
	enum { IDD = IDD_DIALOG_EFFECTSET };
	CString	m_strEffectName;
	UINT	m_nEffectType;
	BOOL	m_bRegion;
	BOOL	m_bLoop;
	float	m_fReTime;
	float	m_fPosX;
	float	m_fPosY;
	float	m_fPosZ;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEffectSetDetailDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
public:
	BOOL	m_bEdit;

protected:

	// Generated message map functions
	//{{AFX_MSG(CEffectSetDetailDlg)
	afx_msg void OnCheckLoop();
	afx_msg void OnCheckRegion();
	afx_msg void OnChangeEditEffectname();
	afx_msg void OnChangeEditEffecttype();
	afx_msg void OnChangeEditPositinX();
	afx_msg void OnChangeEditPositinY();
	afx_msg void OnChangeEditPositinZ();
	afx_msg void OnChangeEditRetime();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EFFECTSETDETAILDLG_H__A976A8E2_578B_4AA4_8EB4_16E1B821A487__INCLUDED_)
